
const proxy = {
  "target": "http://192.168.1.22:8080",
  //"target": "http://192.168.1.121:8180",
  "changeOrigin": true,
  "headers":{
    "host":"192.168.1.22:8080"
  },
  "pathRewrite": {
    "^/api": "/bm/api"
  }
};

const resource_proxy = {
  //"target": "http://192.168.1.121:8180",
  "target": "http://192.168.1.22:8080",
  "changeOrigin": true,
  "headers":{
    "host":"192.168.1.22:8080"
  },
  "pathRewrite": {
    "^/resource": "/bm/resource"
  }
};
const V4_proxy = {

  //"http://106.ihuyi.cn/webservice/sms.php?method=Submit
  "target": "http://222.73.234.155",
  "changeOrigin": true,
  "headers":{
    "host":"222.73.234.155"
  },
  "pathRewrite": {
    "^/V4": "/WPF/JTWebApiService/V4"
  }
};
module.exports = {
  "ignoreMomentLocale": true,
  "hash": true,
  "theme": {
    "layout-header-height": "48px",
    "layout-header-background": "#fff",
    "layout-footer-background": "#fff",
    "layout-sider-background": '#404040',
    'menu-dark-bg': '#404040',
    "layout-header-padding": "0",
  },
  env: {
    development: {
      publicPath: "/",
      define: {
        _BASENAME_: '/',
      },
      extraBabelPlugins: [
        'dva-hmr',
        ["import", {"libraryName": "antd-mobile", "style": true}],
      ],
      devtool: 'cheap-module-eval-source-map',
      proxy: {
        "/api": proxy,
        "/resource": resource_proxy,
        "/V4": V4_proxy,
      }
    },
    "production": {
      publicPath: "/bm-wx/",
      define: {
        _BASENAME_: '/bm-wx',
        contextPath: "/bm-wx",
        apiContextPath: "/bm-wx"
      },
      extraBabelPlugins: [
        ["import", { libraryName: "antd-mobile", style: "css" }]
      ],
    }
  }
};
