
import {fetch} from "../utils/polyfill";


const sendMsg = async (phoneNumber) => {
  return fetch(`V4/GetAuthenticationCode(${phoneNumber})`,{
    method: 'GET',
    mode: 'cors',
    credentials:'include',
  })
    .then((response) => response.json())
    .then((text) => {
      return text
    });
};
const checkYanZhengMa = async (phoneNumber,yanZhengMa) => {
  return fetch(`V4/CheckIdentity(${phoneNumber})/(${yanZhengMa})`,{
    method: 'GET',
    mode: 'cors',
    credentials:'include',
  })
    .then((response) => response.json())
    .then((text) => {
      return text
    });
};
export default {

  namespace: 'login',

  state: {
    telnum:null,
    YanZhengMa:null,
    errormsg: null,
    showToptips: false,
    MyTimes:null
  },

  subscriptions: {
    setup({ dispatch, history }) {  // eslint-disable-line
    },
  },

  effects: {
    *fetch({ payload }, { call, put }) {  // eslint-disable-line
      yield put({ type: 'save' });
    },
    *checkNumber({ payload }, { call, put ,select}) {  // eslint-disable-line
      const { telnum } = yield select(state => state.login);
      console.info(telnum);
      yield call(sendMsg,telnum);
    },
    *checkYanZhengMa({ payload }, { call, put ,select}) {  // eslint-disable-line
      const { telnum,YanZhengMa } = yield select(state => state.login);
      console.info(telnum);
      const wuqiang=yield call(checkYanZhengMa,telnum,YanZhengMa);
      if(wuqiang==="sucess")
      {
        document.location="https://open.weixin.qq.com/connect/oauth2/authorize?appid=wx8b334b8d6e040c05&redirect_uri=http%3a%2f%2fwww.shzdfwbc.net.cn%2fbm-wx%2f&response_type=code&scope=snsapi_userinfo&state=123#wechat_redirect";
      }else{
        alert("登陆失败");
      }
    },
  },

  reducers: {
    setShowToptips(state,{payload}){
      return {...state,showToptips:payload.ShowToptips,errormsg:payload.errormsg};
    },
    setTelnum(state,{payload}){
      return {...state,telnum:payload.telNum};
    },
    setYanZhengMa(state,{payload}){
      return {...state,YanZhengMa:payload.YanZhengMa};
    },
    setTime(state,{payload}){
      return {...state,MyTimes:payload.MyTimes}
    }
  },

};
